AGRO-POPC - Zadanie #2675

Zadanie # 2664 (W toku): Zbiorcze podsumowanie zadan po audycie WCAG
Zgrupowanie kontrolek filtrowania w fieldset
2021-09-28 13:04 - Tomasz Blazejczyk

Status: Zamkniety Start date: 2021-09-28
Priority: Normalny Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Marcin Suda Rewizja rozwigzania:

Tester: Tomasz Lewandowski Rewizja testow:

Description

Na stronie http://agro.icm.edu.pl/agro/browse/journals

Brak programistycznego powigzania etykiet:

- tytut

- petne teksty

- wydawca

Brak zdefiniowanego fieldseta z legenda opisujacy charakter dla w/w pol.

<span class="filter-label">

<span>Tytut</span>

<input title="Wpisz cate wyrazenie lub fragment zakonczony * dla

lepszych rezultatéw, np. mechani*" id="EQUALS_names" name="EQUALS_names" type="text"

value="" maxlength="60" onkeypress="return onEnterDoRegularFilter(event,this.form);">

</span>

History

#1 - 2021-09-28 13:09 - Tomasz Blazejczyk
- Assignee changed from Tomasz Blazejczyk to Marcin Suda
- Developer Marcin Suda added

#2 - 2021-09-29 07:15 - Marcin Suda
- Status changed from Nowy to Testowanie

- Assignee changed from Marcin Suda to Tomasz Lewandowski

Had some trouble getting the labels to work, it'd be appreciated to check if everything's correct from the programming perspective

#3 - 2021-10-07 07:54 - Tomasz Lewandowski

- File After.jpg added

- File Before.jpg added

- Status changed from Testowanie to W toku

- Assignee changed from Tomasz Lewandowski to Marcin Suda
- % Done changed from 0 to 80

Fieldset was added grouping together three spans cointaining filters with <labels> respectively: Tytut, Petne teksty and Wydawca.
Fieldset has a <legend> element containing descriptive text "Filtry:". The text matches the logic of the site and groups filters in accord with their
functionality.
"Before.jpg" and "After.jpg" added for clarity.

Applied changes in my opinion fulfill recommendation received from external wcag auditors.

Two things are still left for consideration though:

1.) Alphabetical filters right below the fieldset also seem to fall under description of "Filters". Maybe we should include them into the fieldset as well?

1.1.) If they should not be included into fieldset because they're from technical point of view rather links than fields, maybe we should define their own

container labeled "Alphabetical Filters" or suchlike.

2.) Alphabetical filters have decription "Wys$wietl tylko zawierajace: [letter sequence]". This should be changed to "Wys$wietl tylko rozpoczynajgce sie

na: [letter sequence]", as the former better fits what they actually do.

#4 - 2021-10-11 09:27 - Marcin Suda
- Status changed from W toku to Testowanie

- Assignee changed from Marcin Suda to Tomasz Lewandowski

I've changed the <fieldset> to include the alphabetical filters - after some thought, | found no reason to exclude them. The link titles were changed.

#5 - 2021-10-13 09:45 - Tomasz Lewandowski

- Status changed from Testowanie to Rozwigzany
- Assignee deleted (Tomasz Lewandowski)

- % Done changed from 80 to 100

everything fine

#6 - 2021-10-19 09:08 - Tomasz Lewandowski
- Status changed from Rozwigzany to Zamkniety

Files
Before.jpg 103 KB 2021-10-07 Tomasz Lewandowski
After.jpg 94.8 KB 2021-10-07 Tomasz Lewandowski
